Bug 1787304 - Review Request: python-AWSIoTPythonSDK - SDK for connecting to AWS IoT using Python
Summary: Review Request: python-AWSIoTPythonSDK - SDK for connecting to AWS IoT using ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-02 10:14 UTC by Fabian Affolter
Modified: 2020-02-10 00:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-03 01:03:16 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-02 10:14:51 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-AWSIoTPythonSDK.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-AWSIoTPythonSDK-1.4.7-1.fc31.src.rpm

Project URL: https://github.com/aws/aws-iot-device-sdk-python

Description:
The AWS IoT Device SDK for Python allows developers to write Python script to
use their devices to access the AWS IoT platform through MQTT or MQTT over the
WebSocket protocol. By connecting their devices to AWS IoT, users can securely
work with the message broker, rules, and the device shadow (sometimes referred
to as a thing shadow) provided by AWS IoT and with other AWS services like AWS
Lambda, Amazon Kinesis, Amazon S3, and more.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40050976

rpmlint output:
$ rpmlint python-AWSIoTPythonSDK-1.4.7-1.fc31.src.rpm
python-AWSIoTPythonSDK.src: W: invalid-url Source0: https://github.com/aws/aws-iot-device-sdk-python/archive/v1.4.7.tar.gz/AWSIoTPythonSDK-1.4.7.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint python3-AWSIoTPythonSDK-1.4.7-1.fc31.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-07 16:50:39 UTC
 - There's an 1.4.8 tag available

 - Source0 is 404:

Getting https://github.com/aws/aws-iot-device-sdk-python/archive/v1.4.7.tar.gz/AWSIoTPythonSDK-1.4.7.tar.gz to ./AWSIoTPythonSDK-1.4.7.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   166    0   166    0     0    374      0 --:--:-- --:--:-- --:--:--   374
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

  Correct URL should be:

Source0:        https://github.com/aws/aws-iot-device-sdk-python/archive/v%{version}/%{pypi_name}-%{version}.tar.gz


 - directory in %prep is wrong:

+ cd AWSIoTPythonSDK-1.4.7
/var/tmp/rpm-tmp.ICoaYw: line 39: cd: AWSIoTPythonSDK-1.4.7: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.ICoaYw (%prep)

   Should be:

%autosetup -n aws-iot-device-sdk-python-%{version}

Comment 2 Fabian Affolter 2020-01-10 07:22:05 UTC
Thanks for the feedback.

* Fri Jan 10 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.8-1
- Fix prep section
- Fix source URL (rhbz#1787304)
- Update to latest upstream release 1.4.8

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-AWSIoTPythonSDK.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-AWSIoTPythonSDK-1.4.8-1.fc31.src.rpm

Comment 3 Robert-André Mauchin 🐧 2020-01-25 00:49:03 UTC
 - Some code are under Eclipse Public License

Eclipse Public License (v1.0)
-----------------------------
aws-iot-device-sdk-python-1.4.8/AWSIoTPythonSDK/core/protocol/paho/client.py

  Add it to the License field and add a comment explaining the licenses breakdown:

# ASL 2.0: main library
# EPL-1.0: core/protocol/paho
License:        ASL 2.0 and EPL-1.0



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License",
     "Apache License (v2.0)", "Eclipse Public License (v1.0)". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-AWSIoTPythonSDK/review-python-
     AWSIoTPythonSDK/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 112640 bytes in 11 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-AWSIoTPythonSDK-1.4.8-1.el8.noarch.rpm
          python-AWSIoTPythonSDK-1.4.8-1.el8.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 4 Fabian Affolter 2020-01-25 09:50:40 UTC
Thanks for the review.

Comment 5 Gwyn Ciesla 2020-01-25 14:36:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-AWSIoTPythonSDK

Comment 6 Fedora Update System 2020-01-25 15:54:49 UTC
FEDORA-2020-e6ce9b0888 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e6ce9b0888

Comment 7 Fedora Update System 2020-01-25 16:34:01 UTC
FEDORA-2020-efae90dbd6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-efae90dbd6

Comment 8 Fedora Update System 2020-01-25 19:56:34 UTC
FEDORA-EPEL-2020-433836c047 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-433836c047

Comment 9 Fedora Update System 2020-01-26 01:14:50 UTC
python-AWSIoTPythonSDK-1.4.8-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-433836c047

Comment 10 Fedora Update System 2020-01-26 01:52:15 UTC
python-AWSIoTPythonSDK-1.4.8-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-efae90dbd6

Comment 11 Fedora Update System 2020-01-30 22:59:30 UTC
python-AWSIoTPythonSDK-1.4.8-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e6ce9b0888

Comment 12 Fedora Update System 2020-02-03 01:03:16 UTC
python-AWSIoTPythonSDK-1.4.8-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-02-07 01:50:52 UTC
python-AWSIoTPythonSDK-1.4.8-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-02-10 00:17:32 UTC
python-AWSIoTPythonSDK-1.4.8-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.